## atari-bootstrap 3.2-3

=== debian/changelog ===
atari-bootstrap (3.2-3) frozen unstable; urgency=low

  * Changed "endif" in postrm into "fi".

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 21 Apr 1998 10:57:33 +0200

atari-bootstrap (3.2-2) unstable; urgency=low

  * Fix upstream location in copyright file (still mentioned ataboot-3.1)
  * Also include rawwrite.ttp (to write disk images under TOS).
  * Remove /etc/ataboot.conf in postrm if purging package.
  * Remove ataboot.conf from source package (leftover from testing)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 26 Feb 1998 15:14:31 +0100

atari-bootstrap (3.2-1) unstable; urgency=low

  * Initial Release as Debian package.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 3 Feb 1998 14:49:38 +0100

Local variables:
mode: debian-changelog
add-log-mailing-address: "Roman.Hodek@informatik.uni-erlangen.de"
End:

## atari-bootstrap 3.3

=== Makefile ===
#
# ataboot/Makefile
#
# This file is subject to the terms and conditions of the GNU General Public
# License.
#

# possible options:
#   AOUT_KERNEL:
#     Include support for a.out kernels (may go away in future!)
#   BOOTINFO_COMPAT_1_0:
#     Include support for booting kernel with bootinfo version 1.0 (up
#     to 2.0.x)
#   USE_BOOTP:
#     Include support for retrieving the kernel image via BOOTP/TFTP
OPTIONS  = -DBOOTINFO_COMPAT_1_0 # -DAOUT_KERNEL

# cross compiler for TOS
HOSTCC = m68k-tos-gcc
HOSTFLAGS = -m68030 -m68881 -Dlinux -O2 -fomit-frame-pointer -Wall $(OPTIONS)

# adjust to where your Linux/68k kernel source is
KERNELINC = /usr/src/linux/include

CSRC := bootstrap.c linuxboot.c stream.c file_mod.c gunzip_mod.c
OBJS := bootstrap.o linuxboot.o stream.o file_mod.o gunzip_mod.o

# BOOTP/TFTP support in bootstrap?
# USE_BOOTP = y

ifdef USE_BOOTP
CSRC += bootp_mod.c
OBJS += bootp_mod.o
HOSTFLAGS += -DUSE_BOOTP

# low-level Ethernet drivers:

# Lance (RieblCard, PAM-VME)
CSRC += ethlance.c
OBJS += ethlance.o
HOSTFLAGS += -DETHLL_LANCE

endif


bootstrap: $(OBJS)
	$(HOSTCC) -I$(KERNELINC) $(HOSTFLAGS) -o $@ $(OBJS)
	ln -f $@ ataboot.ttp

$(OBJS): %.o: %.c
	$(HOSTCC) -I$(KERNELINC) $(HOSTFLAGS) -c $< -o $@

clean:
	rm -f *.o bootstrap ataboot.ttp

distclean: clean
	rm -f .#* #*# *~ *.orig *.rej *.s

dep:
	$(HOSTCC) -I$(KERNELINC) $(HOSTFLAGS) -MM $(CSRC) >.depend

dist: distclean
	name=$$(basename $$(pwd)); (cd ..; tar cf $$name-src.tar $$name; \
		gzip -9f $$name-src.tar)
	$(MAKE)
	name=$$(basename $$(pwd)); cp bootstrap ..; \
		gzip -9f ../bootstrap; mv ../bootstrap.gz ../$$name.gz; \
		chmod a-x ../$$name.gz
	$(MAKE) clean
	$(MAKE) USE_BOOTP=y
	name=$$(basename $$(pwd)); cp bootstrap ..; \
		gzip -9f ../bootstrap; mv ../bootstrap.gz ../$$name-bootp.gz; \
		chmod a-x ../$$name-bootp.gz

-include .depend

## atari-bootstrap 3.3-1

=== rawwrite/Makefile ===

HOSTCC = m68k-tos-gcc
HOSTFLAGS = -m68030 -m68881 -O2 -fomit-frame-pointer -Wall

all: rawwrite.ttp

rawwrite.ttp: rawwrite.o
	$(HOSTCC) -o $@ $^

rawwrite.o: rawwrite.c
	$(HOSTCC) $(HOSTFLAGS) -c -o $@ $<

clean:
	rm -f *.o *.ttp

=== debian/changelog ===
atari-bootstrap (3.3-1) unstable; urgency=low

  * New upstream version:
     * Support for Centurbo2 Falcon accelerator board.
     * Allow compilation with newer kernel headers.
     * Fix recognition of last 4 MB on Afterburner.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 29 Oct 1998 11:30:56 +0100

=== debian/control ===
Source: atari-bootstrap
Section: base
Priority: required
Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
Standards-Version: 2.4.0.0

Package: atari-bootstrap
Architecture: m68k
Description: Bootloader for Linux/m68k kernels for Atari TOS
 The Atari bootstrap is needed to boot Linux/m68k kernels on Atari
 machines.
 .
 This package also includes a bootstrap version supporting BOOTP/TFTP
 booting, and a configuration tool, atabootconfig. Furthermore it
 provides boot floppy images that formerly were included in the
 syslinux package, and a tool rawwrite.ttp to write disk images under TOS.

=== debian/rules ===
#!/usr/bin/make -f
# based on the sample debian/rules file for GNU hello by Ian Jackson.

#export DH_VERBOSE=1

pkg = atari-bootstrap
tmp = debian/tmp
lib = $(tmp)/usr/lib/$(pkg)
sbin = $(tmp)/usr/sbin

# The binaries are only rebuilt if a cross compiler is available; otherwise,
# the precompiled binaries ataboot{,-bootp} are used
# If the binaries are build on a m68k system, /usr/src/linux is expected to
# point to newest kernel headers (>= 2.1.42 required!)
# If cross compiling on a non-m68k system, the complicated sed command
# determines the location of kernel headers from the default include dir of
# m68k-linux-gcc. It is expected that include/linux there is a *symlink* into
# the kernel source dir.
build:
	$(checkdir)
	@set -e; if type -p m68k-mint-gcc >/dev/null; then \
		echo "m68k-mint-gcc cross compiler available, building bootstrap"; \
		inc=/usr/src/linux/include; \
		if [ `arch` != "m68k" ] && type -p m68k-linux-gcc >/dev/null; then \
			inc=`cat /dev/null | m68k-linux-gcc -v -E - 2>&1 | \
			sed -n '/starts here:$$/,/&End of search/s/^ \(\/.*\)/\1/p' | \
			tail -1`/linux/..; \
		fi; \
		$(MAKE) -C src KERNELINC=$$inc; \
		mv src/bootstrap ataboot; \
		$(MAKE) -C src clean; \
		$(MAKE) -C src USE_BOOTP=y KERNELINC=$$inc; \
		mv src/bootstrap ataboot-bootp; \
		$(MAKE) -C rawwrite; \
		mv rawwrite/rawwrite.ttp rawwrite.ttp; \
	else \
		echo "No cross compiler available -- not rebuilding binaries"; \
	fi
	touch build

clean:
	$(checkdir)
	-rm -f build
	$(MAKE) -C src clean
	$(MAKE) -C rawwrite clean
	if [ ! -f ataboot -o ! -f ataboot-bootp -o ! -f rawwrite.ttp ]; then \
		echo "Precompiled binaries don't exist!"; \
		echo "Do a make in toplevel dir on a machine with m68k-mint-gcc first!"; \
		exit 1; \
	fi
	-rm -f img*Atari
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep: build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	install -d $(lib) $(sbin)
	# install bootstraps
	install -m 644 ataboot $(lib)/ataboot.ttp
	install -m 644 ataboot-bootp $(lib)/ataboot-bootp.ttp
	gzip -9f $(lib)/ataboot*
	# install rawwrite.ttp
	install -m 644 rawwrite.ttp $(lib)
	gzip -9f $(lib)/rawwrite.ttp
	# install config script
	install -m 755 atabootconfig $(sbin)
	# build and install boot disk images
	./builddisk 1440
	./builddisk 720
	install -m 644 img*Atari $(lib)
	gzip -9f $(lib)/img*
	# install README for lib dir
	install -m 644 debian/README.lib $(lib)/README
	dh_installdocs src/ataboot.txt
	dh_installchangelogs src/CHANGES
	dh_installmanpages
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	#dh_shlibdeps
	dh_gencontrol
	#dh_du
	dh_md5sums
	dh_builddeb

define checkdir
	test -f src/bootstrap.c -a -f debian/rules
endef

binary:		binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

## atari-bootstrap 3.3-4

=== debian/changelog ===
atari-bootstrap (3.3-4) unstable; urgency=low

  * added Build-Depends, bumped Standards-Version (closes: #70144)
  * updated my mail address

 -- Roman Hodek <roman@hodek.net>  Sun, 29 Feb 2004 14:52:20 +0100

atari-bootstrap (3.3-3) unstable; urgency=low

  * FHS transition (Standards-Version: 3.0.1).
  * /usr/lib/atari-bootstrap moved to /usr/share/atari-bootstrap, as the
    directory contains only arch-independent data.
  * Packaged with an .orig.tar.gz now (Closes: #44175) The bootstrap
    sources and rawwrite.c are now in the toplevel dir. rawwrite.c is
    still contributed and not in the .orig.tar.gz.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 12 Nov 1999 15:10:17 +0100

atari-bootstrap (3.3-2) unstable; urgency=low

  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Updated Standards-Version to 3.0.0.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 8 Jul 1999 13:45:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: atari-bootstrap
 Section: base
 Priority: required
-Maintainer: Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>
-Standards-Version: 2.4.0.0
+Maintainer: Roman Hodek <roman@hodek.net>
+Build-Depends: debhelper, sharutils, dosfstools
+Standards-Version: 3.6.1
 
 Package: atari-bootstrap
 Architecture: m68k

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 pkg = atari-bootstrap
 tmp = debian/tmp
-lib = $(tmp)/usr/lib/$(pkg)
+lib = $(tmp)/usr/share/$(pkg)
 sbin = $(tmp)/usr/sbin
 
 # The binaries are only rebuilt if a cross compiler is available; otherwise,
@@ -18,7 +18,7 @@
 # the kernel source dir.
 build:
 	$(checkdir)
-	@set -e; if type -p m68k-mint-gcc >/dev/null; then \
+	@set -e; if false && type -p m68k-mint-gcc >/dev/null; then \
 		echo "m68k-mint-gcc cross compiler available, building bootstrap"; \
 		inc=/usr/src/linux/include; \
 		if [ `arch` != "m68k" ] && type -p m68k-linux-gcc >/dev/null; then \
@@ -26,31 +26,35 @@
 			sed -n '/starts here:$$/,/&End of search/s/^ \(\/.*\)/\1/p' | \
 			tail -1`/linux/..; \
 		fi; \
-		$(MAKE) -C src KERNELINC=$$inc; \
-		mv src/bootstrap ataboot; \
-		$(MAKE) -C src clean; \
-		$(MAKE) -C src USE_BOOTP=y KERNELINC=$$inc; \
-		mv src/bootstrap ataboot-bootp; \
-		$(MAKE) -C rawwrite; \
-		mv rawwrite/rawwrite.ttp rawwrite.ttp; \
+		$(MAKE) KERNELINC=$$inc; \
+		mv bootstrap ataboot; \
+		gzip -9c ataboot | uuencode ataboot.gz >debian/ataboot.gz.uue; \
+		$(MAKE) clean; \
+		$(MAKE) USE_BOOTP=y KERNELINC=$$inc; \
+		mv bootstrap ataboot-bootp; \
+		gzip -9c ataboot-bootp | uuencode ataboot-bootp.gz >debian/ataboot-bootp.gz.uue; \
+		$(MAKE) -f Makefile.rawwrite; \
+		gzip -9c rawwrite.ttp | uuencode rawwrite.ttp.gz >debian/rawwrite.ttp.gz.uue; \
 	else \
 		echo "No cross compiler available -- not rebuilding binaries"; \
+		echo "Using prepacked ones instead."; \
+		uudecode -o /dev/stdout debian/ataboot.gz.uue | gzip -dc >ataboot; \
+		uudecode -o /dev/stdout debian/ataboot-bootp.gz.uue | gzip -dc >ataboot-bootp; \
+		uudecode -o /dev/stdout debian/rawwrite.ttp.gz.uue | gzip -dc >rawwrite.ttp; \
+		chmod 755 ataboot ataboot-bootp rawwrite.ttp; \
 	fi
 	touch build
 
 clean:
 	$(checkdir)
-	-rm -f build
-	$(MAKE) -C src clean
-	$(MAKE) -C rawwrite clean
-	if [ ! -f ataboot -o ! -f ataboot-bootp -o ! -f rawwrite.ttp ]; then \
-		echo "Precompiled binaries don't exist!"; \
-		echo "Do a make in toplevel dir on a machine with m68k-mint-gcc first!"; \
-		exit 1; \
-	fi
-	-rm -f img*Atari
-	-rm -f `find . -name "*~"`
-	-rm -rf debian/tmp debian/files* core debian/substvars
+	rm -f build
+	$(MAKE) clean
+	$(MAKE) -f Makefile.rawwrite clean
+	dh_clean
+	rm -f ataboot ataboot-bootp rawwrite.ttp
+	rm -f img*Atari
+	rm -f `find . -name "*~"`
+	rm -rf debian/tmp debian/files* core debian/substvars
 
 binary-indep: build
 	$(checkdir)
@@ -74,14 +78,15 @@
 	# install config script
 	install -m 755 atabootconfig $(sbin)
 	# build and install boot disk images
+	chmod +x ./builddisk
 	./builddisk 1440
 	./builddisk 720
 	install -m 644 img*Atari $(lib)
 	gzip -9f $(lib)/img*
 	# install README for lib dir
 	install -m 644 debian/README.lib $(lib)/README
-	dh_installdocs src/ataboot.txt
-	dh_installchangelogs src/CHANGES
+	dh_installdocs ataboot.txt
+	dh_installchangelogs CHANGES
 	dh_installmanpages
 	dh_strip
 	dh_compress
@@ -94,7 +99,7 @@
 	dh_builddeb
 
 define checkdir
-	test -f src/bootstrap.c -a -f debian/rules
+	test -f bootstrap.c -a -f debian/rules
 endef
 
 binary:		binary-indep binary-arch
